Subject: [PATCH 0/3] fix and update ansible to 8.5.0
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 26 Oct 2023 14:35:44 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

These patches update ansible-core and ansible to their latest releases. 
Currently ansible-core doesn't build, so that is also fixed.

In ansible-core I've enabled some tests that were marked as failing 
before, but now pass. Also, if I just run ansible-test without specifying 
which copy to run, the one on PATH didn't work, and printed messages like

"""
Configured locale: en_US.UTF-8
FATAL: The current working directory must be within the source tree being tested.

Testing an Ansible collection: {...}/ansible_collections/{namespace}/{collection}/
Example #1: community.general -> ~/code/ansible_collections/community/general/
Example #2: ansible.util -> ~/.ansible/collections/ansible_collections/ansible/util/

Current working directory: /tmp/guix-build-ansible-core-2.15.5.drv-0/ansible-core-2.15.5/
No "ansible_collections" parent directory was found.
Cannot test "/tmp/guix-build-ansible-core-2.15.5.drv-0/ansible-core-2.15.5" with ansible-test from "/gnu/store/56zvvfavw59v57wi0c3lvwp27fjswa8l-ansible-core-2.15.5/lib/python3.10/site-packages/ansible_test".

Did you intend to run "/tmp/guix-build-ansible-core-2.15.5.drv-0/ansible-core-2.15.5/bin/ansible-test" instead?
"""

So far, so good, but I'm not sure if this is yet ready to merge. Other 
than running `ansible --version` I haven't had a chance to test it. I'd 
like to use it to create a back, but with `guix pack -RR ansible-core 
ansible glibc-locales bash` running `ansible --version` on a CentOS 7 system 
prints:

"""
ERROR: Ansible could not initialize the preferred locale: unsupported locale setting
"""

Also, it seems like the really useful commands are provided by 
ansible-core and not ansible, so I'm not sure if the former should be 
propagated in the latter? Maybe there is some other packaging bug?

Nevertheless, I think these changes are definitely an improvement over 
what we have now, so I wanted to share them to get feedback and maybe find 
a collaborator.

Jack Hill (3):
   gnu: ansible-core: Update to 2.15.5 and fix tests.
   gnu: Remove [email-masked].
   gnu: ansible: Update to 8.5.0.

  gnu/packages/admin.scm      | 20 ++++++--------------
  gnu/packages/python-xyz.scm | 16 ----------------
  2 files changed, 6 insertions(+), 30 deletions(-)

base-commit: cbd20d627497053871db863970c07d93c7081786
-- 
2.41.0